Authorization: Bearer ********************{
"name": "string",
"enabled": true
}curl --location 'https://web-api.blockindex.com/entity//currencyExchangeAutomationRule/search?page=1&limit=10' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"enabled": true
}'{
"status": "success",
"requestId": "ed458995-3eb1-48c9-90b3-1e6f4d57ab82",
"data": {
"totalCount": 0,
"list": [
{
"currencyExchangeAutomationRuleId": "string",
"entityId": "string",
"name": "string",
"priority": 0,
"conditions": [
{
"type": "CURRENCY_EXCHANGE_TYPE",
"value": "string",
"operator": "EQ",
"auxiliaryTypeId": "string",
"auxiliaryType": {
"auxiliaryTypeId": "string",
"entityId": "string",
"name": "string",
"type": "ENTITY_ACCOUNT",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
}
],
"journalTypeId": "string",
"entryActions": [
{
"chartOfAccountId": "string",
"chartOfAccountCalculator": "string",
"currencyType": "REPORTING_CURRENCY",
"directCurrency": "string",
"balanceType": "Dr",
"amount": "string",
"amountFC": "string",
"formulaFieldMap": [
{
"var": "string",
"type": "EXCHANGE_IN_AMOUNT",
"value": "string",
"attribute": "string"
}
],
"auxiliaryMapping": [
{
"auxiliaryTypeId": "string",
"auxiliaryType": {
"auxiliaryTypeId": "string",
"entityId": "string",
"name": "string",
"type": "ENTITY_ACCOUNT",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
},
"value": {
"type": "ENTITY_ACCOUNT",
"auxiliaryItemId": "string",
"counterpartyId": "string",
"auxiliaryItem": {
"auxiliaryItemId": "string",
"entityId": "string",
"auxiliaryTypeId": "string",
"value": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
},
"counterparty": {
"counterpartyId": "string",
"entityId": "string",
"platformId": "string",
"type": "INDIVIDUAL",
"name": "string",
"tel": "string",
"email": "string",
"location": "string",
"memo": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
}
}
],
"chartOfAccount": {
"chartOfAccountId": "string",
"entityId": "string",
"nameCN": "string",
"name": "string",
"type": "ASSET",
"parentChartOfAccountId": "string",
"code": "string",
"description": "string",
"auxiliaryTypeIds": [
"string"
],
"defaultBalanceType": "Dr",
"creatorType": "SYSTEM",
"slug": "string",
"isLeaf": 0,
"isCashAccount": true,
"userId": "string",
"enableOriginalCurrency": true,
"enableFairValueAdjustment": true,
"fairValueChartOfAccountId": "string",
"costChartOfAccountId": "string",
"depth": 0,
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
},
"chartOfAccountSide": "IN",
"currencySide": "IN"
}
],
"enabled": true,
"enableAutomationJournalApproved": true,
"journalType": {
"journalTypeId": "string",
"entityId": "string",
"code": "string",
"name": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"journalNoPrefix": "string",
"entryLines": [
{
"chartOfAccountId": "string",
"chartOfAccountCalculator": "TREASURY_ACCOUNT",
"balanceType": "Dr",
"gstType": "NA",
"gstRatio": 0,
"amountFCType": "SALE_COST_BASIS"
}
],
"userId": "string",
"group": "OPERATING",
"slug": "string",
"brokerInventoryType": "NONE",
"nameCN": "string",
"creatorType": "SYSTEM",
"entryType": "SIMPLE",
"isBrokerInventory": true
}
}
]
}
}